## sphinx-copybutton 0.2.5

=== doc/requirements.txt ===
sphinx

# Install ourselves
.

=== debian/changelog ===
sphinx-copybutton (0.2.5-1.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jan 2020 18:02:01 -0800

sphinx-copybutton (0.2.5-1.1) unstable; urgency=medium

  * Non-maintainer source-only upload to enable migration

 -- Paul Gevers <elbrus@debian.org>  Mon, 30 Dec 2019 11:25:05 +0100

sphinx-copybutton (0.2.5-1) unstable; urgency=medium

  * Initial release; Closes: #945449

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Nov 2019 13:37:52 -0500

=== debian/control ===
Source: sphinx-copybutton
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.4.1
Homepage: https://github.com/choldgraf/sphinx-copybutton
Vcs-Browser: https://salsa.debian.org/debian/sphinx-copybutton
Vcs-Git: https://salsa.debian.org/debian/sphinx-copybutton.git

Package: python3-sphinx-copybutton
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sphinx-copybutton-doc
Description: sphinx extension to add a "copy" button to code blocks
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This package installs the library for Python 3.

Package: python-sphinx-copybutton-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: sphinx extension to add a "copy" button to code blocks (documentation)
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This is the common documentation package.

## sphinx-copybutton 0.2.12

=== debian/changelog ===
sphinx-copybutton (0.2.12-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - point Vcs-* fields to DPMT; Closes: #947242
    - add ipython to b-d, needed by doc
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jul 2020 23:00:03 -0400

=== debian/control ===
Source: sphinx-copybutton
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ipython <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
Standards-Version: 4.4.1
Homepage: https://github.com/choldgraf/sphinx-copybutton
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-copybutton
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-copybutton.git

Package: python3-sphinx-copybutton
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-sphinx-copybutton-doc,
Description: sphinx extension to add a "copy" button to code blocks
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This package installs the library for Python 3.

Package: python-sphinx-copybutton-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: sphinx extension to add a "copy" button to code blocks (documentation)
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This is the common documentation package.

## sphinx-copybutton 0.3.0

=== debian/changelog ===
sphinx-copybutton (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump compat level to 13
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 23:53:54 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ipython <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/choldgraf/sphinx-copybutton
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-copybutton
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-copybutton.git

## sphinx-copybutton 0.3.1

=== doc/requirements.txt ===
sphinx
ipython

# Install ourselves
.

=== debian/changelog ===
sphinx-copybutton (0.3.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jan 2021 00:08:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ipython <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/choldgraf/sphinx-copybutton
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-copybutton
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-copybutton.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-copybutton
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-copybutton.git
 
 Package: python3-sphinx-copybutton
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-copybutton

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc doc/build/html

override_dh_auto_install:
	dh_auto_install
	dh_install -ppython-sphinx-copybutton-doc doc/build/html /usr/share/doc/python-sphinx-copybutton-doc/

=== debian/watch ===
version=4
https://pypi.debian.net/sphinx-copybutton/sphinx-copybutton-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-copybutton 0.4.0

=== docs/requirements.txt ===
sphinx
ipython
sphinx-book-theme

# Install ourselves
.

=== debian/changelog ===
sphinx-copybutton (0.4.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 00:00:14 -0500

sphinx-copybutton (0.4.0-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Depend on node-clipboard rather than removed libjs-clipboard.js.
    Closes: #1015914

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Nov 2022 01:17:07 -0500

sphinx-copybutton (0.4.0-3) unstable; urgency=medium

  * debian/control
    - add sphinx-book-theme to b-d, needed by doc
  * debian/patches/docs-alabaster-theme.patch
    - use sphinx_book_theme to build doc, reverting this patch, now removed

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Nov 2021 01:17:08 -0500

sphinx-copybutton (0.4.0-2) unstable; urgency=medium

  * properly make use of clipboard.js shipped in libjs-clipboard.js;
    Closes: #998343

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Nov 2021 00:20:19 -0500

sphinx-copybutton (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases
  * Update project location on GitHub
  * Use the system-available libjs-clipboard.js package
  * debian/rules
    - update doc building to new location
  * debian/patches/docs-alabaster-theme.patch
    - temporarily use alabaster instead of book_theme

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Oct 2021 01:44:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: sphinx-copybutton
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               node-clipboard,
                python3-all,
                python3-ipython <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.1
-Homepage: https://github.com/choldgraf/sphinx-copybutton
+               python3-sphinx-book-theme <!nodoc>,
+Standards-Version: 4.6.2
+Homepage: https://github.com/executablebooks/sphinx-copybutton
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-copybutton
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-copybutton.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-copybutton

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/nodejs/clipboard/dist/clipboard.js sphinx_copybutton/_static/clipboard.min.js
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs docs/build/html

override_dh_auto_install:
	dh_auto_install
	dh_install -ppython-sphinx-copybutton-doc docs/build/html /usr/share/doc/python-sphinx-copybutton-doc/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinx-copybutton-$1.tar.gz%" \
https://github.com/executablebooks/sphinx-copybutton/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sphinx-copybutton 0.5.2

=== debian/changelog ===
sphinx-copybutton (0.5.2-3) unstable; urgency=medium

  * Fix syntax error in Team name
  * Add debian/clean (Closes: #1045583)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 21:25:36 +0200

sphinx-copybutton (0.5.2-2) unstable; urgency=medium

  * Adopt patckage as a dependency of matplotlib et al (Closes: #1065027)
  * Set Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Aug 2024 13:25:15 +0200

sphinx-copybutton (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Remove stray
    /usr/share/doc/python-sphinx-copybutton-doc/html/_static/__pycache__/
    directory.

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Jun 2024 23:44:25 +0100

=== debian/control ===
Source: sphinx-copybutton
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 node-clipboard,
 pybuild-plugin-pyproject,
 python3-all,
 python3-ipython <!nodoc>,
 python3-myst-nb <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-book-theme <!nodoc>,
 python3-sphinx-examples <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/executablebooks/sphinx-copybutton
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-copybutton
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-copybutton.git
X-Style: black

Package: python3-sphinx-copybutton
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sphinx-copybutton-doc,
Description: sphinx extension to add a "copy" button to code blocks
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This package installs the library for Python 3.

Package: python-sphinx-copybutton-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: sphinx extension to add a "copy" button to code blocks (documentation)
 Sphinx-copybutton does one thing: add little “copy” button to the right of
 your code blocks. That’s it!
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-copybutton

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/nodejs/clipboard/dist/clipboard.js sphinx_copybutton/_static/clipboard.min.js
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs docs/build/html
	rm -rf docs/build/html/_static/__pycache__

execute_after_dh_auto_install:
	dh_install -ppython-sphinx-copybutton-doc docs/build/html /usr/share/doc/python-sphinx-copybutton-doc/
